<ion-header *ngIf="isSuccess">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon">
            <ion-icon name="checkmark"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title">
        File signed successfully
    </div>
</ion-header>

<ion-header *ngIf="!isSuccess" style="background: #05f url('../../assets/bg-red.png') no-repeat top center / cover;">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon" style="border: 2px solid #CA3334;">
            <ion-icon name="close" style="color:#CA3334;"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title">
        Failed to sign the document
    </div>
</ion-header>


<ion-content>
    <ion-list lines="inset">
        <ion-label class="listHeader"><b>File Infomation</b></ion-label>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File name:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.name}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File hash:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.fileHash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Owner:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.owner}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Storage:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.storage}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <ion-list lines="inset">
        <ion-label class="listHeader"><b>Sign Infomation</b></ion-label>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Status:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{file.status}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <div class="btnRightContainer">
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label color="medium">Transaction hash:</ion-label>
                        </ion-row>
                        <ion-row>
                            <p id="txHash">{{file.transactionHash}}</p>
                        </ion-row>
                    </ion-grid>
                </div>
                <div *ngIf="file.transactionHash!=''" class="btnRight btnCopy" tappable id="btnCopyTxHash"
                    [attr.data-clipboard-target]="'#txHash'" (click)="copyTxHash()">
                    <ion-icon name="copy"></ion-icon>
                </div>
            </div>
        </ion-item>

        <ion-item *ngIf="file.transactionHashQr!=''">
            <div class="center">
                <img [src]="file.transactionHashQr" />
            </div>
        </ion-item>
    </ion-list>
    <div id="btnFinish">
        <ion-button *ngIf="isSuccess && (signDoc.document.cosigners.length > 0)" (click)="regularShare()"
            class="btnCopy" [attr.data-clipboard-text]="uniLink">Invite</ion-button>
        <ion-button (click)="goHome()">Finish</ion-button>
    </div>
</ion-content>